# ![Kotlin](logo-text.png) Demo eines Kotlin Mutliplatform Project (KMPP)

Dieses Beispiel zeigt einen zwischen den Platformen geteilten Teil (`common`) und die platform-spezifischen Implementierungen (`JVM`, `JS`, `native`).

Zusätzlich gibt es noch eine iOS-App, die die `native`-Library verwendet. Dies zeigt somit das Prinzip, dass die Geschäftslogik in Kotlin geschrieben und "geteilt" wird, und die Benutzeroberfläche mit dem spezifischen Standartwerkzeugen wie Swift bei iOS erzeugt werden.

Das Beispiel ist sehr trivial, da es lediglich zwei Funktionen zeigt, welche sich darin unterscheiden, dass die eine keine platformspezifische Implementierung benötigt und die andere eine solche benötigt. Dies resultiert darin, dass beispielsweise bei `JVM`, `platform-jvm` für die Funktione `Common().platform()` ausgegeben wird.

## Unterstützte* Technologien
- [x] iOS
- [x] Android (`JVM`)
- [x] Web (`JS`)
- [x] Backend (`JVM`, `JS`)

*= für "geteilten" Quellcode / Geschäftslogik

## Aufbau
![Aufbau eine Kotlin Multiplatform Project](Aufbau-1.jpg)